import { Note, PitchValueXYZ } from '@musical-patterns/material';
import { ContourPiece, ContourWhole, KeyMap, ObjectOf } from '@musical-patterns/utilities';
interface HoundstoothtopiaThemeMaterialSkeleton extends ObjectOf<never> {
    perimeterLeftGrain: never;
    perimeterTopGrain: never;
    perimeterTopLeftGrain: never;
    perimeterTopRightGrain: never;
    supertileHigherPitch: never;
    supertileLowerPitch: never;
}
declare type HoundstoothtopiaThemeNotes = KeyMap<HoundstoothtopiaThemeMaterialSkeleton, Note[]>;
declare type HoundstoothtopiaThemeContourWholes = KeyMap<HoundstoothtopiaThemeMaterialSkeleton, ContourWhole<PitchValueXYZ>>;
declare type HoundstoothtopiaThemeContourPieces = KeyMap<HoundstoothtopiaThemeMaterialSkeleton, ContourPiece<PitchValueXYZ>> & {
    perimeterRest: ContourPiece<PitchValueXYZ>;
    supertileRest: ContourPiece<PitchValueXYZ>;
};
export { HoundstoothtopiaThemeContourPieces, HoundstoothtopiaThemeContourWholes, HoundstoothtopiaThemeNotes, };
