import { Scale } from '@musical-patterns/material';
import { Cycle, Frequency, Ordinal, Position, Scalar, Value } from '@musical-patterns/utilities';
import { Grain } from '../nominals';
declare const HOUNDSTOOTHTOPIA_THEME_ENVELOPE_SCALAR: Scalar<Value>;
declare const HIGHER_SUPERTILE_PITCH: Scalar<Frequency>;
declare const LOWER_SUPERTILE_PITCH: Scalar<Frequency>;
declare const TOP_RIGHT_GRAIN_SEQUENCE_INDEX_TO_VARY: Ordinal<Array<Cycle<Grain>>>;
declare const TOP_GRAIN_SEQUENCE_INDEX_TO_VARY: Ordinal<Array<Cycle<Grain>>>;
declare const TOP_LEFT_GRAIN_SEQUENCE_INDEX_TO_VARY: Ordinal<Array<Cycle<Grain>>>;
declare const LEFT_GRAIN_SEQUENCE_INDEX_TO_VARY: Ordinal<Array<Cycle<Grain>>>;
declare const HOUNDSTOOTHTOPIA_THEME_X_POSITION_SCALE_INDEX: Ordinal<Array<Scale<Position>>>;
export { HOUNDSTOOTHTOPIA_THEME_ENVELOPE_SCALAR, HIGHER_SUPERTILE_PITCH, LOWER_SUPERTILE_PITCH, TOP_RIGHT_GRAIN_SEQUENCE_INDEX_TO_VARY, TOP_GRAIN_SEQUENCE_INDEX_TO_VARY, TOP_LEFT_GRAIN_SEQUENCE_INDEX_TO_VARY, LEFT_GRAIN_SEQUENCE_INDEX_TO_VARY, HOUNDSTOOTHTOPIA_THEME_X_POSITION_SCALE_INDEX, };
